/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.saas.dto.tenant;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--资源详情--数据传输对象：租户管理员关联表
*
* createdate:  2021-09-09 01:24:04  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "租户管理员关联表")
public class SaasTenantAdminDetailDto implements Serializable
{

    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
    private String tenantId;
    /**
     * 管理员登录名<br>
     */
    @ApiModelProperty("管理员登录名")
    @Size(max = 50, message="管理员登录名-adminLoginNo: 数据长度不能 > 50" )
    private String adminLoginNo;
    /**
     * 管理员id<br>
     */
    @ApiModelProperty("管理员id")
    @Size(max = 32, message="管理员id-userId: 数据长度不能 > 32" )
    private String userId;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getAdminLoginNo() {
        return adminLoginNo;
    }

    public void setAdminLoginNo(String adminLoginNo) {
        this.adminLoginNo = adminLoginNo;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }
}